#include "header.h"
#include "file.h"

/*************************************************************************/
/**	help printout functions, part 1					**/
/**									**/
/**	includes:  helpcellip						**/
/**		   helpbatch						**/
/**		   helpdaysip						**/
/**		   helpipfil						**/
/**		   helpipfil1						**/
/**		   helpyn						**/
/**		   helpoverview						**/
/**		   helpipsyntax						**/
/**									**/
/*************************************************************************/
/*
      5    10        20        30        40        50        60        70        80
  ----+----+----+----+----+----+----+----+----+----+----+----+----+----+----+----+
*/


/********************************/
/*     function: helpcellip	*/
/********************************/
/* valid responses when inputting an initial cell */
helpcellip ()
{
#if PC
  int i;

  topline(" Help!: Entering Cell Input Data ");
  clrscr1(1);
  normvideo();
  i = 2;
  gotoxy(1, i++);
  cprintf("%sStages needs the name of an initial cell.  Please use the cell", tab);
  gotoxy(1, i++);
  cprintf("%snaming syntax as described in the Input Syntax Description screen,", tab);
  gotoxy(1, i++);
  cprintf("%savailable from the General Menu.  The sequence of cells and their", tab);
  gotoxy(1, i++);
  if (strcmp(Animal, "None"))
    cprintf("%scorrect syntax for the %s are available by choosing", tab, Animal);
  else
    cprintf("%scorrect syntax for the current animal are available by choosing", tab);
  gotoxy(1, i++);
  cprintf("%s`Show Cell Sequence Data' at the Cell Input Menu.", tab);
  i++;
  gotoxy(1, i++);
  cprintf("%sA list of initial cells can be entered if the list's cells", tab);
  gotoxy(1, i++);
  cprintf("%sare separated by spaces.  You will then have to enter a list", tab);
  gotoxy(1, i++);
  cprintf("%sof numbers of days, one number for each cell you have entered.", tab);
  hitreturn(1);
  if (HARDCOPY) {
    togglepr();
    fprintf(stdprn, "\n\n");
    printline(2, LNWID, '-');
    fprintf(stdprn, "\n\t\t    Help!: Entering Cell Input Data\n\n");
    fprintf(stdprn, "\tStages needs the name of an initial cell.  Please use the cell\n");
    fprintf(stdprn, "\tnaming syntax as described in the Input Syntax Description screen,\n");
    fprintf(stdprn, "\tavailable from the General Menu.  The sequence of cells and their\n");
    if (strcmp(Animal, "None"))
      fprintf(stdprn, "\tcorrect syntax for the %s are available by choosing\n", Animal);
    else
      fprintf(stdprn, "\tcorrect syntax for the current animal are available by choosing\n");
    fprintf(stdprn, "\t`Show Cell Sequence Data' at the Cell Input Menu.\n\n");
    fprintf(stdprn, "\tA list of initial cells can be entered if the list's cells\n");
    fprintf(stdprn, "\tare separated by spaces.  You will then have to enter a list\n");
    fprintf(stdprn, "\tof numbers of days, one number for each cell you have entered.\n");
    printline(2, LNWID, '-');
  }
#else
  printf("\n\n");
  printline(0, LNWID, '-');
  printf("\n\t\t    Help!: Entering Cell Input Data\n\n");
  printf("\tStages needs the name of an initial cell.  Please use the cell\n");
  printf("\tnaming syntax as described in the Input Syntax Description screen,\n");
  printf("\tavailable from the General Menu.  The sequence of cells and their\n");
  if (strcmp(Animal, "None"))
    printf("\tcorrect syntax for the %s are available by choosing\n", Animal);
  else
    printf("\tcorrect syntax for the current animal are available by choosing\n");
  printf("\t`Show Cell Sequence Data' at the Cell Input Menu.\n\n");
  printf("\tA list of initial cells can be entered if the list's cells\n");
  printf("\tare separated by spaces.  You will then have to enter a list\n");
  printf("\tof numbers of days, one number for each cell you have entered.\n");
  printline(0, LNWID, '-');
#endif

#if VERBOSE
  if (FILEq && FILECOPY) {
    fprintf(fpout, "\n\n");
    printline(1, LNWID, '-');
    fprintf(fpout, "\n\t\t    Help!: Entering Cell Input Data\n\n");
    fprintf(fpout, "\tStages needs the name of an initial cell.  Please use the cell\n");
    fprintf(fpout, "\tnaming syntax as described in the Input Syntax Description screen,\n");
    fprintf(fpout, "\tavailable from the General Menu.  The sequence of cells and their\n");
    if (strcmp(Animal, "None"))
      fprintf(fpout, "\tcorrect syntax for the %s are available by choosing\n", Animal);
    else
      fprintf(fpout, "\tcorrect syntax for the current animal are available by choosing\n");
    fprintf(fpout, "\t`Show Cell Sequence Data' at the Cell Input Menu.\n\n");
    fprintf(fpout, "\tA list of initial cells can be entered if the list's cells\n");
    fprintf(fpout, "\tare separated by spaces.  You will then have to enter a list\n");
    fprintf(fpout, "\tof numbers of days, one number for each cell you have entered.\n");
    printline(1, LNWID, '-');
  }
#endif
  return(0);
} /* helpcellip */

/********************************/
/*     function: helpbatch	*/
/********************************/
helpbatch ()
{
#if PC
  int i;

  topline(" Help!: Batch Processing Using Stages ");
  clrscr1(1);
  normvideo();
  i = 2;
  gotoxy(1, i++);
  cprintf("%sStages can also perform batch processing.  To do this, create a", tab);
  gotoxy(1, i++);
  cprintf("%sfile in the same directory where stages.exe is.  Each line of", tab);
  gotoxy(1, i++);
  cprintf("%sthe file should have the syntax:", tab);
  i++;
  gotoxy(1, i++);
  highvideo();
  cprintf("%s           cellname          days", tab);
  i++;
  normvideo();
  gotoxy(1, i++);
  cprintf("%swhere ", tab);
  highvideo();
  cprintf("cellname");
  normvideo();
  cprintf(" is a cycle cell name in the proper syntax, and");
  gotoxy(1, i++);
  highvideo();
  cprintf("%sdays", tab);
  normvideo();
  cprintf(" is the number of days, +/-, to which Stages should predict.");
  i++;
  gotoxy(1, i++);
  cprintf("%sTo run Stages in batch mode, use:  stages batchfile", tab);
  i++;
  gotoxy(1, i++);
  cprintf("%sFor an example batch input file, see the file <sdrat.bat>.", tab);
  hitreturn(1);
  if (HARDCOPY) {
    togglepr();
    fprintf(stdprn, "\n\n");
    printline(2, LNWID, '-');
    fprintf(stdprn, "\n\t\t    Help!: Batch Processing Using Stages\n\n");
    fprintf(stdprn, "\t    Help!: Batch Processing Using Stages\n\n");
    fprintf(stdprn, "\tStages can also perform batch processing.  To do this, create a\n");
    fprintf(stdprn, "\tfile in the same directory where stages.exe is.  Each line of\n");
    fprintf(stdprn, "\tthe file should have the syntax:\n\n");
    fprintf(stdprn, "\t           cellname          days\n\n");
    fprintf(stdprn, "\twhere `cellname' is a cycle cell name in the proper syntax, and\n");
    fprintf(stdprn, "\t`days' is the number of days, +/-, to which Stages should predict.\n\n");
    fprintf(stdprn, "\tTo run Stages in batch mode, use:  stages batchfile\n\n");
    fprintf(stdprn, "\tFor an example batch input file, see the file <sdrat.bat>.\n");
    printline(2, LNWID, '-');
  }
#else
  printf("\n\n");
  printline(0, LNWID, '-');
  printf("\n\t\t    Help!: Batch Processing Using Stages\n\n");
  printf("\tStages can also perform batch processing.  To do this, create a\n");
  printf("\tfile in the same directory where stages.exe is.  Each line of\n");
  printf("\tthe file should have the syntax:\n\n");
  printf("\t           cellname          days\n\n");
  printf("\twhere `cellname' is a cycle cell name in the proper syntax, and\n");
  printf("\t`days' is the number of days, +/-, to which Stages should predict.\n\n");
  printf("\tTo run Stages in batch mode, use:  stages batchfile\n\n");
  printf("\tFor an example batch input file, see the file <sdrat.bat>.\n");
  printline(0, LNWID, '-');
#endif
  if (FILEq && FILECOPY) {
    fprintf(fpout, "\n\n");
    printline(1, LNWID, '-');
    fprintf(fpout, "\n\t\t    Help!: Batch Processing Using Stages\n\n");
    fprintf(fpout, "\tStages can also perform batch processing.  To do this, create a\n");
    fprintf(fpout, "\tfile in the same directory where stages.exe is.  Each line of\n");
    fprintf(fpout, "\tthe file should have the syntax:\n\n");
    fprintf(fpout, "\t           cellname          days\n\n");
    fprintf(fpout, "\twhere `cellname' is a cycle cell name in the proper syntax, and\n");
    fprintf(fpout, "\t`days' is the number of days, +/-, to which Stages should predict.\n\n");
    fprintf(fpout, "\tTo run Stages in batch mode, use:  stages batchfile\n\n");
    fprintf(fpout, "\tFor an example batch input file, see the file <sdrat.bat>.\n");
    printline(1, LNWID, '-');
  }
  return(0);
} /* helpbatch */

/********************************/
/*     function: helpdaysip	*/
/********************************/
/* valid responses when inputting days to predict */
helpdaysip ()
{
#if PC
  int i;

  topline(" Help!: Entering Days Input Data ");
  clrscr1(1);
  normvideo();
  i = 2;
  gotoxy(1, i++);
  cprintf("%sStages needs the number of days (positive or negative) after", tab);
  gotoxy(1, i++);
  cprintf("%swhich time you want to know the cell's cycle position.  Please", tab);
  gotoxy(1, i++);
  cprintf("%suse decimal syntax for numbers (no scientific notation).", tab);
  i++;
  gotoxy(1, i++);
  if (strcmp(Animal, "None"))
    cprintf("%sThe stage length data for the %s are available", tab, Animal);
  else
    cprintf("%sThe stage length data for the current animal are available", tab);
  gotoxy(1, i++);
  cprintf("%sby choosing `Show Stage Length Data' at the Days Input Menu.", tab);
  i++;
  gotoxy(1, i++);
  cprintf("%sIf you had entered a list of initial cells, then you must enter", tab);
  gotoxy(1, i++);
  cprintf("%sa list of the same length of numbers of days, one number-of-days", tab);
  gotoxy(1, i++);
  cprintf("%sparameter for each initial cell.  To redisplay the initial cell(s)", tab);
  gotoxy(1, i++);
  cprintf("%schoose `Show Input Cells' at the Days Input Menu.", tab);
  hitreturn(1);
  if (HARDCOPY) {
    togglepr();
    fprintf(stdprn, "\n\n");
    printline(2, LNWID, '-');
    fprintf(stdprn, "\n\t\t    Help!: Entering Days Input Data\n\n");
    fprintf(stdprn, "\tStages needs the number of days (positive or negative) after\n");
    fprintf(stdprn, "\twhich time you want to know the cell's cycle position.  Please\n");
    fprintf(stdprn, "\tuse decimal syntax for numbers (no scientific notation).\n\n");
    if (strcmp(Animal, "None"))
      fprintf(stdprn, "\tThe stage length data for the %s are available\n", Animal);
    else
      fprintf(stdprn, "\tThe stage length data for the current animal are available\n");
    fprintf(stdprn, "\tby choosing `Show Stage Length Data' at the Days Input Menu.\n\n");
    fprintf(stdprn, "\tIf you had entered a list of initial cells, then you must enter\n");
    fprintf(stdprn, "\ta list of the same length of numbers of days, one number-of-days\n");
    fprintf(stdprn, "\tparameter for each initial cell.  To redisplay the initial cell(s)\n");
    fprintf(stdprn, "\tchoose `Show Input Cells' at the Days Input Menu.\n");
    printline(2, LNWID, '-');
  }
#else
  printf("\n\n");
  printline(0, LNWID, '-');
  printf("\n\t\t    Help!: Entering Days Input Data\n\n");
  printf("\tStages needs the number of days (positive or negative) after\n");
  printf("\twhich time you want to know the cell's cycle position.  Please\n");
  printf("\tuse decimal syntax for numbers (no scientific notation).\n\n");
  if (strcmp(Animal, "None"))
    printf("\tThe stage length data for the %s are available\n", Animal);
  else
    printf("\tThe stage length data for the current animal are available\n");
  printf("\tby choosing `Show Stage Length Data' at the Days Input Menu.\n\n");
  printf("\tIf you had entered a list of initial cells, then you must enter\n");
  printf("\ta list of the same length of numbers of days, one number-of-days\n");
  printf("\tparameter for each initial cell.  To redisplay the initial cell(s)\n");
  printf("\tchoose `Show Input Cells' at the Days Input Menu.\n");
  printline(0, LNWID, '-');
#endif

#if VERBOSE
  if (FILEq && FILECOPY) {
    fprintf(fpout, "\n\n");
    printline(1, LNWID, '-');
    fprintf(fpout, "\n\t\t    Help!: Entering Days Input Data\n\n");
    fprintf(fpout, "\tStages needs the number of days (positive or negative) after\n");
    fprintf(fpout, "\twhich time you want to know the cell's cycle position.  Please\n");
    fprintf(fpout, "\tuse decimal syntax for numbers (no scientific notation).\n\n");
    if (strcmp(Animal, "None"))
      fprintf(fpout, "\tThe stage length data for the %s are available\n", Animal);
    else
      fprintf(fpout, "\tThe stage length data for the current animal are available\n");
    fprintf(fpout, "\tby choosing `Show Stage Length Data' at the Days Input Menu.\n\n");
    fprintf(fpout, "\tIf you had entered a list of initial cells, then you must enter\n");
    fprintf(fpout, "\ta list of the same length of numbers of days, one number-of-days\n");
    fprintf(fpout, "\tparameter for each initial cell.  To redisplay the initial cell(s)\n");
    fprintf(fpout, "\tchoose `Show Input Cells' at the Days Input Menu.\n");
    printline(1, LNWID, '-');
  }
#endif
  return(0);
} /* helpdaysip */


/********************************/
/*     function: helpipfil	*/
/********************************/
/* when stages can't find *.stg or *.seq data files */
helpipfil (ftype)
  char ftype;
{
  char TEMP[16];
  char temp[16];
#if PC
  char str[80];
  int i;
#endif

  switch (ftype) {
  case 'C':
    sprintf(TEMP, "Cycle Stage");
    sprintf(temp, "cycle stage");
    break;
  case 'S':
    sprintf(TEMP, "Cell Sequence");
    sprintf(temp, "cell sequence");
    break;
  default: /* shouldn't! */
    printf("%s: Unknown ftype <%c>.\n", ERRSTR, ftype);
    printexit(12);
  } /* switch */

#if PC
  sprintf(str, " Help!: Entering the %s Filename ", TEMP);
  topline(str);
  clrscr1(1);
  normvideo();
  i = 2;
  gotoxy(1, i++);
  if (ftype=='C')
    cprintf("%sStages obtains the stage length data from a file called *.stg,", tab);
  if (ftype=='S')
    cprintf("%sStages obtains the cell sequence data from a file called *.seq,", tab);
  gotoxy(1, i++);
  cprintf("%swhere * stands for the name of the animal.  Such a file could", tab);
  gotoxy(1, i++);
  cprintf("%snot be found in the current working directory.", tab);
  i++;
  gotoxy(1, i++);
  cprintf("%sFirst check to make sure that you have selected, as the default", tab);
  gotoxy(1, i++);
  cprintf("%sdisk drive, the disk drive in which the Stages floppy disk is", tab);
  gotoxy(1, i++);
  cprintf("%ssitting.  If you need to exit to do this, use the F10 key.", tab);
  i++;
  gotoxy(1, i++);
  cprintf("%sIf you have selected the correct disk drive as the default", tab);
  gotoxy(1, i++);
  cprintf("%sdrive, this file-not-found error is indicative of a more", tab);
  gotoxy(1, i++);
  cprintf("%scomplicated problem.  Please do not hesitate to contact the", tab);
  gotoxy(1, i++);
  cprintf("%sauthors at the address given in the header of this program.", tab);
  /* no hitreturn here */
  if (HARDCOPY) {
    togglepr();
    fprintf(stdprn, "\n\n");
    printline(2, LNWID, '-');
    fprintf(stdprn, "\n\t\t    Help!: Entering the %s ", TEMP);
    fprintf(stdprn, "Filename\n\n");
    if (ftype=='C')
      fprintf(stdprn, "\tStages obtains the stage length data from a file called *.stg,\n");
    if (ftype=='S')
    	fprintf(stdprn, "\tStages obtains the cell sequence data from a file called *.seq,\n");
    fprintf(stdprn, "\twhere * stands for the name of the animal.  Such a file could\n");
    fprintf(stdprn, "\tnot be found in the current working directory.\n\n");
    fprintf(stdprn, "\tFirst check to make sure that you have selected, as the default\n");
    fprintf(stdprn, "\tdisk drive, the disk drive in which the Stages floppy disk is\n");
    fprintf(stdprn, "\tsitting.  If you need to exit to do this, use the F10 key.\n");
    fprintf(stdprn, "\tIf you have selected the correct disk drive as the default\n");
    fprintf(stdprn, "\tdrive, this file-not-found error is indicative of a more\n");
    fprintf(stdprn, "\tcomplicated problem.  Please do not hesitate to contact the\n");
    fprintf(stdprn, "\tauthors at the address given in the header of this program.\n");
    printline(2, LNWID, '-');
  }
#else
  printf("\n\n");
  printline(0, LNWID, '-');
  printf("\n\t\t    Help!: Entering the %s ", TEMP);
  printf("Filename\n\n");
  if (ftype=='C')
    printf("\tStages obtains the stage length data from a file called *.stg,\n");
  if (ftype=='S')
    printf("\tStages obtains the cell sequence data from a file called *.seq,\n");
  printf("\twhere * stands for the name of the animal.  Such a file could\n");
  printf("\tnot be found in the current working directory.\n\n");
  printf("\tFirst check to make sure that you have selected, as the default\n");
  printf("\tdisk drive, the disk drive in which the Stages floppy disk is\n");
  printf("\tsitting.  If you need to exit to do this, use the F10 key.\n");
  printf("\tIf you have selected the correct disk drive as the default\n");
  printf("\tdrive, this file-not-found error is indicative of a more\n");
  printf("\tcomplicated problem.  Please do not hesitate to contact the\n");
  printf("\tauthors at the address given in the header of this program.\n");
  printline(0, LNWID, '-');
#endif

#if VERBOSE
  if (FILEq && FILECOPY) {
    fprintf(fpout, "\n\n");
    printline(1, LNWID, '-');
    fprintf(fpout, "\n\t\t    Help!: Entering the %s ", TEMP);
    fprintf(fpout, "Filename\n\n");
    if (ftype=='C')
      fprintf(fpout, "\tStages obtains the stage length data from a file called *.stg,\n");
    if (ftype=='S')
      fprintf(fpout, "\tStages obtains the cell sequence data from a file called *.seq,\n");
    fprintf(fpout, "\twhere * stands for the name of the animal.  Such a file could\n");
    fprintf(fpout, "\tnot be found in the current working directory.\n\n");
    fprintf(fpout, "\tFirst check to make sure that you have selected, as the default\n");
    fprintf(fpout, "\tdisk drive, the disk drive in which the Stages floppy disk is\n");
    fprintf(fpout, "\tsitting.  If you need to exit to do this, use the F10 key.\n");
    fprintf(fpout, "\tIf you have selected the correct disk drive as the default\n");
    fprintf(fpout, "\tdrive, this file-not-found error is indicative of a more\n");
    fprintf(fpout, "\tcomplicated problem.  Please do not hesitate to contact the\n");
    fprintf(fpout, "\tauthors at the address given in the header of this program.\n");
    printline(1, LNWID, '-');
  }
#endif
  return(0);
} /* helpipfil */

/********************************/
/*     function: helpipfil1	*/
/********************************/
/* when stages can't find batch input file */
helpipfil1 (fname)
  char *fname;
{
#if PC
  int i;

  topline(" Help!: Entering the Batch Input Filename ");
  clrscr1(1);
  normvideo();
  i = 2;
  gotoxy(1, i++);
  cprintf("%sStages could not find the batch input file <%s>.", tab, fname);
  i++;
  gotoxy(1, i++);
  cprintf("%sPlease enter another filename for use as batch input.", tab);
  i++;
  gotoxy(1, i++);
  cprintf("%sIf you would rather cancel batch-mode processing, simply", tab);
  gotoxy(1, i++);
  cprintf("%stype <Enter>.  Initial cell names will then have to be", tab);
  gotoxy(1, i++);
  cprintf("%sentered interactively.", tab);
  hitreturn(1);
  if (HARDCOPY) {
    togglepr();
    fprintf(stdprn, "\n\n");
    printline(2, LNWID, '-');
    fprintf(stdprn, "\n\t\t    Help!: Entering the Batch Input Filename\n\n");
    fprintf(stdprn, "\tStages could not find the batch input file <%s>.\n\n", fname);
    fprintf(stdprn, "\tPlease enter another filename for use as batch input.\n\n");
    fprintf(stdprn, "\tIf you would rather cancel batch-mode processing, simply\n");
    fprintf(stdprn, "\ttype <Enter>.  Initial cell names will then have to be\n");
    fprintf(stdprn, "\tentered interactively.\n");
    printline(2, LNWID, '-');
  }
#else
  printf("\n\n");
  printline(0, LNWID, '-');
  printf("\n\t\t    Help!: Entering the Batch Input Filename\n\n");
  printf("\tStages could not find the batch input file <%s>.\n\n", fname);
  printf("\tPlease enter another filename for use as batch input.\n\n");
  printf("\tIf you would rather cancel batch-mode processing, simply\n");
  printf("\ttype <Enter>.  Initial cell names will then have to be\n");
  printf("\tentered interactively.\n");
  printline(0, LNWID, '-');
#endif
#if VERBOSE
  if (FILEq && FILECOPY) {
    fprintf(fpout, "\n\n");
    printline(1, LNWID, '-');
    fprintf(fpout, "\n\t\t    Help!: Entering the Batch Input Filename\n\n");
    fprintf(fpout, "\tStages could not find the batch input file <%s>.\n\n", fname);
    fprintf(fpout, "\tPlease enter another filename for use as batch input.\n\n");
    fprintf(fpout, "\tIf you would rather cancel batch-mode processing, simply\n");
    fprintf(fpout, "\ttype <Enter>.  Initial cell names will then have to be\n");
    fprintf(fpout, "\tentered interactively.\n");
    printline(1, LNWID, '-');
  }
#endif
  return(0);
} /* helpipfil1 */

/********************************/
/*     function: helpyn		*/
/********************************/
/* valid responses to y/n questions */
helpyn ()
{
#if PC
  int i;

  topline(" Help!: Entering y/n Data ");
  clrscr1(1);
  normvideo();
  i = 2;
  gotoxy(1, i++);
  cprintf("%sStages is looking for one of:", tab);
  i++;
  gotoxy(1, i++);
  cprintf("%s      y or Y,  for yes", tab);
  gotoxy(1, i++);
  cprintf("%s      n or N,  for no", tab);
  gotoxy(1, i++);
  cprintf("%s           ?,  for this Help! Screen", tab);
  if (HARDCOPY) {
    togglepr();
    fprintf(stdprn, "\n\n");
    printline(2, LNWID, '-');
    fprintf(stdprn, "\n\t\t    Help!: Entering y/n Data\n\n");
    fprintf(stdprn, "\tStages is looking for one of:\n\n");
    fprintf(stdprn, "\t      y or Y,  for yes\n");
    fprintf(stdprn, "\t      n or N,  for no\n");
    fprintf(stdprn, "\t           ?,  for this Help! Screen\n");
    printline(2, LNWID, '-');
  }
  hitreturn(1);
#else
  printf("\n\n");
  printline(0, LNWID, '-');
  printf("\n\t\t    Help!: Entering y/n Data\n\n");
  printf("\tStages is looking for one of:\n\n");
  printf("\t      y or Y,  for yes\n");
  printf("\t      n or N,  for no\n");
  printf("\t           ?,  for this Help! Screen\n");
  printline(0, LNWID, '-');
#endif

#if VERBOSE
  if (FILEq && FILECOPY) {
    fprintf(fpout, "\n\n");
    printline(1, LNWID, '-');
    fprintf(fpout, "\n\t\t    Help!: Entering y/n Data\n\n");

    fprintf(fpout, "\tStages is looking for one of:\n\n");
    fprintf(fpout, "\t      y or Y,  for yes\n");
    fprintf(fpout, "\t      n or N,  for no\n");
    fprintf(fpout, "\t           ?,  for this Help! Screen\n");
    printline(1, LNWID, '-');
  }
#endif
  return(0);
} /* helpyn */

/********************************/
/*     function: helpoverview	*/
/********************************/
helpoverview ()
{
#if PC
  int i;
  
  topline(" Stages Program Overview ");
  clrscr1(1);
  normvideo();
  i = 2;
  gotoxy(1, i++);
  cprintf("%sStages is an analytical tool developed to aid the pathologist/", tab);
  gotoxy(1, i++);
  cprintf("%stoxicologist in tracking germ cells through time in the cycle", tab);
  gotoxy(1, i++);
  cprintf("%sof the seminiferous epithelium.  The program has been designed", tab);
  gotoxy(1, i++);
  cprintf("%sfor use in experiments with the testis of rats, hamsters, and", tab);
  gotoxy(1, i++);
  cprintf("%smice, and incorporates the basic kinetics of spermatogenesis.", tab);
  i++;
  gotoxy(1, i++);
  cprintf("%sGiven a cell in the cycle, Stages can predict its position after", tab);
  gotoxy(1, i++);
  cprintf("%sa specified period of time, either forward or backward.", tab);
  i++;
  gotoxy(1, i++);
  cprintf("%sUse of Stages can reduce the time required to determine the fate", tab);
  gotoxy(1, i++);
  cprintf("%sof damaged germ cells, or to determine the original target of a", tab);
  gotoxy(1, i++);
  cprintf("%stoxin for a given effect observed post-treatment.", tab);
  hitreturn(1);
  if (HARDCOPY) {
    togglepr();
    fprintf(stdprn, "\n\n");
    printline(2, LNWID, '-');
    fprintf(stdprn, "\n\t\t    Stages Program Overview\n\n");
    fprintf(stdprn, "\tStages is an analytical tool developed to aid the pathologist/\n");
    fprintf(stdprn, "\ttoxicologist in tracking germ cells through time in the cycle\n");
    fprintf(stdprn, "\tof the seminiferous epithelium.  The program has been designed\n");
    fprintf(stdprn, "\tfor use in experiments with the testis of rats, hamsters, and\n");
    fprintf(stdprn, "\tmice, and incorporates the basic kinetics of spermatogenesis.\n\n");
    fprintf(stdprn, "\tGiven a cell in the cycle, Stages can predict its position after\n");
    fprintf(stdprn, "\ta specified period of time, either forward or backward.\n\n");
    fprintf(stdprn, "\tUse of Stages can reduce the time required to determine the fate\n");
    fprintf(stdprn, "\tof damaged germ cells, or to determine the original target of a\n");
    fprintf(stdprn, "\ttoxin for a given effect observed post-treatment.\n");
    printline(2, LNWID, '-');
  }
#else
  printf("\n\n");
  printline(0, LNWID, '-');
  printf("\n\t\t    Stages Program Overview\n\n");
  printf("\tStages is an analytical tool developed to aid the pathologist/\n");
  printf("\ttoxicologist in tracking germ cells through time in the cycle\n");
  printf("\tof the seminiferous epithelium.  The program has been designed\n");
  printf("\tfor use in experiments with the testis of rats, hamsters, and\n");
  printf("\tmice, and incorporates the basic kinetics of spermatogenesis.\n\n");
  printf("\tGiven a cell in the cycle, Stages can predict its position after\n");
  printf("\ta specified period of time, either forward or backward.\n\n");
  printf("\tUse of Stages can reduce the time required to determine the fate\n");
  printf("\tof damaged germ cells, or to determine the original target of a\n");
  printf("\ttoxin for a given effect observed post-treatment.\n");
  printline(0, LNWID, '-');
#endif
#if VERBOSE
  if (FILEq && FILECOPY) {
    fprintf(fpout, "\n\n");
    printline(1, LNWID, '-');
    fprintf(fpout, "\n\t\t    Stages Program Overview\n\n");
    fprintf(fpout, "\tStages is an analytical tool developed to aid the pathologist/\n");
    fprintf(fpout, "\ttoxicologist in tracking germ cells through time in the cycle\n");
    fprintf(fpout, "\tof the seminiferous epithelium.  The program has been designed\n");
    fprintf(fpout, "\tfor use in experiments with the testis of rats, hamsters, and\n");
    fprintf(fpout, "\tmice, and incorporates the basic kinetics of spermatogenesis.\n\n");
    fprintf(fpout, "\tGiven a cell in the cycle, Stages can predict its position after\n");
    fprintf(fpout, "\ta specified period of time, either forward or backward.\n\n");
    fprintf(fpout, "\tUse of Stages can reduce the time required to determine the fate\n");
    fprintf(fpout, "\tof damaged germ cells, or to determine the original target of a\n");
    fprintf(fpout, "\ttoxin for a given effect observed post-treatment.\n");
    printline(1, LNWID, '-');
  }
#endif
  return(0);
} /* helpoverview */


/********************************/
/*     function: helpipsyntax	*/
/********************************/
helpipsyntax ()
{
#if PC
  int i;
  
  topline(" Input Syntax Description ");
  clrscr1(1);
  normvideo();
  i = 2;
  gotoxy(1, i++);
  cprintf("   In the program, cell types are identified by the abbreviations below.");
  gotoxy(1, i++);
  cprintf("   For each species, under the `Show Cell Sequence Data' option, the cell");
  gotoxy(1, i++);
  cprintf("   types are arranged according to their associations within stages.  The");
  gotoxy(1, i++);
  cprintf("   syntax to identify a cell is <type>-<stage>: <type> is the cell's type,");
  gotoxy(1, i++);
  cprintf("   and <stage> is the cell's stage; e.g., S7-7 refers to round spermatid");
  gotoxy(1, i++);
  cprintf("   step 7 (`S7'), found in Stage VII of the Sprague-Dawley Rat cycle.");
  i++;
  gotoxy(1, i++);
  cprintf("     A = type A spermatogonium            P = pachytene spermatocyte");
  gotoxy(1, i++);
  cprintf("     I = intermediate spermatogonium      D = diplotene spermatocyte");
  gotoxy(1, i++);
  cprintf("     B = type B spermatogonium           M1 = meiotic pachytene spermatocyte");
  gotoxy(1, i++);
  cprintf("    PL = preleptotene spermatocyte       M2 = meiotic pachytene spermatocyte");
  gotoxy(1, i++);
  cprintf("     L = leptotene spermatocyte          SS = secondary spermatocyte");
  gotoxy(1, i++);
  cprintf("     Z = zygotene spermatocyte            S = spermatid");
  if (HARDCOPY) {
    togglepr();
    fprintf(stdprn, "\n\n");
    printline(2, LNWID, '-');
    fprintf(stdprn, "\n\t\t    Input Syntax Description\n\n");
    fprintf(stdprn, "     In the program, cell types are identified by the abbreviations below.\n");
    fprintf(stdprn, "     For each species, under the `Show Cell Sequence Data' option, the cell\n");
    fprintf(stdprn, "     types are arranged according to their associations within stages.  The\n");
    fprintf(stdprn, "     syntax to identify a cell is <type>-<stage>: <type> is the cell's type,\n");
    fprintf(stdprn, "     and <stage> is the cell's stage; e.g., S7-7 refers to round spermatid\n");
    fprintf(stdprn, "     step 7 (`S7'), found in Stage VII of the Sprague-Dawley Rat cycle.\n\n");
    fprintf(stdprn, "     A = type A spermatogonium            P = pachytene spermatocyte\n");
    fprintf(stdprn, "     I = intermediate spermatogonium      D = diplotene  spermatocyte\n");
    fprintf(stdprn, "     B = type B spermatogonium           M1 = meiotic pachytene ");
    fprintf(stdprn, "spermatocyte\n");
    fprintf(stdprn, "    PL = preleptotene spermatocyte       M2 = meiotic pachytene ");
    fprintf(stdprn, "spermatocyte\n");
    fprintf(stdprn, "     L = leptotene spermatocyte          SS = secondary spermatocyte \n");
    fprintf(stdprn, "     Z = zygotene spermatocyte            S = spermatid\n");
    printline(2, LNWID, '-');
  }
  hitreturn(1);
#else
  printf("\n\n");
  printline(0, LNWID, '-');
  printf("\n\t\t    Input Syntax Description\n\n");
  printf("     In the program, cell types are identified by the abbreviations below.\n");
  printf("     For each species, under the `Show Cell Sequence Data' option, the cell\n");
  printf("     types are arranged according to their associations within stages.  The\n");
  printf("     syntax to identify a cell is <type>-<stage>: <type> is the cell's type,\n");
  printf("     and <stage> is the cell's stage; e.g., S7-7 refers to round spermatid\n");
  printf("     step 7 (`S7'), found in Stage VII of the Sprague-Dawley Rat cycle.\n\n");
  printf("     A = type A spermatogonium            P = pachytene spermatocyte\n");
  printf("     I = intermediate spermatogonium      D = diplotene  spermatocyte\n");
  printf("     B = type B spermatogonium           M1 = meiotic pachytene spermatocyte\n");
  printf("    PL = preleptotene spermatocyte       M2 = meiotic pachytene spermatocyte\n");
  printf("     L = leptotene spermatocyte          SS = secondary spermatocyte\n");
  printf("     Z = zygotene spermatocyte            S = spermatid\n");
  printline(0, LNWID, '-');
#endif
#if VERBOSE
  if (FILEq && FILECOPY) {
    fprintf(fpout, "\n\n");
    printline(1, LNWID, '-');
    fprintf(fpout, "\n\t\t    Input Syntax Description\n\n");
    fprintf(fpout, "     In the program, cell types are identified by the abbreviations below.\n");
    fprintf(fpout, "     For each species, under the `Show Cell Sequence Data' option, the cell\n");
    fprintf(fpout, "     types are arranged according to their associations within stages.  The\n");
    fprintf(fpout, "     syntax to identify a cell is <type>-<stage>: <type> is the cell's type,\n");
    fprintf(fpout, "     and <stage> is the cell's stage; e.g., S7-7 refers to round spermatid\n");
    fprintf(fpout, "     step 7 (`S7'), found in Stage VII of the Sprague-Dawley Rat cycle.\n\n");
    fprintf(fpout, "     A = type A spermatogonium            P = pachytene spermatocyte\n");
    fprintf(fpout, "     I = intermediate spermatogonium      D = diplotene  spermatocyte\n");
    fprintf(fpout, "     B = type B spermatogonium           M1 = meiotic pachytene ");
    fprintf(fpout, "spermatocyte\n");
    fprintf(fpout, "    PL = preleptotene spermatocyte       M1 = meiotic pachytene ");
    fprintf(fpout, "spermatocyte\n");
    fprintf(fpout, "     L = leptotene spermatocyte          SS = secondary spermatocyte\n");
    fprintf(fpout, "     Z = zygotene spermatocyte            S = spermatid\n");
    printline(1, LNWID, '-');
  }
#endif
  return(0);
} /* helpipsyntax */
